QJournalProtocolProtos.StartLogSegmentRequestProtoOrBuilder (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.qjournal.protocol, class: QJournalProtocolProtos, interface: StartLogSegmentRequestProtoOrBuilder

Package org.apache.hadoop.hdfs.qjournal.protocol

# Interface QJournalProtocolProtos.StartLogSegmentRequestProtoOrBuilder

All Superinterfaces:
  `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `QJournalProtocolProtos.StartLogSegmentRequestProto`, `QJournalProtocolProtos.StartLogSegmentRequestProto.Builder`

Enclosing class:
  QJournalProtocolProtos

public static interface QJournalProtocolProtos.StartLogSegmentRequestProtoOrBuilder extends org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getLayoutVersion()`
  the LayoutVersion in the client
  `QJournalProtocolProtos.RequestInfoProto`
  `getReqInfo()`
  `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`
  `QJournalProtocolProtos.RequestInfoProtoOrBuilder`
  `getReqInfoOrBuilder()`
  `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`
  `long`
  `getTxid()`
  Transaction ID
  `boolean`
  `hasLayoutVersion()`
  the LayoutVersion in the client
  `boolean`
  `hasReqInfo()`
  `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`
  `boolean`
  `hasTxid()`
  Transaction ID

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### hasReqInfo

    boolean hasReqInfo()
    `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`
    Returns:
      Whether the reqInfo field is set.

  - ### getReqInfo

    QJournalProtocolProtos.RequestInfoProto getReqInfo()
    `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`
    Returns:
      The reqInfo.

  - ### getReqInfoOrBuilder

    QJournalProtocolProtos.RequestInfoProtoOrBuilder getReqInfoOrBuilder()
    `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`

  - ### hasTxid

    boolean hasTxid()

         Transaction ID

    `required uint64 txid = 2;`
    Returns:
      Whether the txid field is set.

  - ### getTxid

    long getTxid()

         Transaction ID

    `required uint64 txid = 2;`
    Returns:
      The txid.

  - ### hasLayoutVersion

    boolean hasLayoutVersion()

         the LayoutVersion in the client

    `optional sint32 layoutVersion = 3;`
    Returns:
      Whether the layoutVersion field is set.

  - ### getLayoutVersion

    int getLayoutVersion()

         the LayoutVersion in the client

    `optional sint32 layoutVersion = 3;`
    Returns:
      The layoutVersion.